### Method

# AppStream Relation get_value_control_kind

since: 0.12.11

#### Declaration [src]

    AsControlKind
    as_relation_get_value_control_kind (
      AsRelation* relation
    )

#### Description [src]

Get the value of this `AsRelation` item as `AsControlKind` if the type of this relation is `AS_RELATION_ITEM_KIND_CONTROL`. Otherwise return `AS_CONTROL_KIND_UNKNOWN`.

Available since: 0.12.11

#### Return value

Type: `AsControlKind`

A `AsControlKind` or `AS_CONTROL_KIND_UNKNOWN` in case the item is not of the right kind.